V1 and V2Products (V2 beta)

Get a product

GET
/api/v2/products/{product_id}

Gets product attributes

Every product has two sets of attributes, first set is always returned when you GET a
product and its formed by attributes shown in the following table.

ParameterTypeReadonlyMandatory
skustringyes
labelstring
gtinstring
idstringyes
createddateyes
modifieddateyes
num_variations * Number of variants connected to the productintegeryes
statusstring
asset_idsstring array
category_idsstring array
thumbnailstring array
attributesobject
product_family_idstringyes
overwritten_attributesstring arrayyes
product_typestringyes

The second set of attributes is formed by custom product attributes and only will be returned if they are set. Empty attributes will be stripped from the output.

This API version supports the following set of custom attributes:

ParameterType
Short textstring
Paragraphstring
Rich textstring
Integer numberinteger
Decimal numberdecimal
Dropdownstring
Multiselectstring array
URLstring
Mediastring array
Media Gallerystring array
Booleanbool
DateString date ISO 8601 Format

Notice that this endpoint will not return the media or categories structure. To get that endpoints you have to make another request with the specific endpoint

200 code is returned upon success

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Path Parameters

product_id*string

Response Body

application/json

application/json

curl -X GET 'https://example.com/api/v2/products/string'
{  "data": [    {      "id": "67348b7e2bbf7d289efd7984",      "created": "2024-11-13T11:20:30.578000",      "account_id": "5b30cfabe6eecf41df89a3a3",      "assets": [        "671b5ffcc0c8f0e5fd21b9b9",        "671918ceb301fed08f12f804",        "671918c4b301fed08f12f803"      ],      "attributes": {        "boolean": true,        "completeness": 71.43,        "date": "2015-03-28",        "decimal": 12.3,        "integer": 123,        "media_gallery": [          "671b5ffcc0c8f0e5fd21b9b9",          "671918ceb301fed08f12f804"        ],        "media_single": [          "671918c4b301fed08f12f803"        ],        "short_text": "lorem ipsum",        "url": "http://acme.com"      },      "categories": [        "67191873b301fed08f12f7fb"      ],      "created_user_audit": {        "type": "API",        "user_email": "api",        "user_id": "67191ed7d6e8e300016f1414",        "user_name": "api"      },      "label": "Adventure mug",      "mark_as_deleted": false,      "modified": "2024-11-13T12:12:20.698000",      "modified_user_audit": {        "type": "USER",        "user_email": "user@email.com",        "user_id": "5e678436cc9e97962c059bd7",        "user_last_name": "God",        "user_name": "The Owner",        "user_thumb": "https://static.plytix.com/template/3.14.0/img/user-default-image.png",        "username": "5e678436cc9e97962c059bd7"      },      "num_variations": 0,      "overwritten_attributes": [],      "product_level": 0,      "relationships": [        {          "relationship_label": "related_to",          "relationship_id": "6372284da99fdeceabff05ba",          "related_products": [            {              "product_id": "669fdaed59cf441db9df928b",              "quantity": 1            },            {              "product_id": "669fdaed59cf441db9df928d",              "quantity": 1            }          ]        },        {          "relationship_label": "matching_products",          "relationship_id": "6372284da99fdeceabff05b9",          "related_products": [            {              "product_id": "669fdaf12a51570ff89b343a",              "quantity": 1            },            {              "product_id": "669fdaf12a51570ff89b3438",              "quantity": 1            },            {              "product_id": "669fdaf12a51570ff89b3436",              "quantity": 1            },            {              "product_id": "669fdaf12a51570ff89b3434",              "quantity": 1            },            {              "product_id": "669fdaf12a51570ff89b3432",              "quantity": 1            },            {              "product_id": "669fdaf12a51570ff89b3430",              "quantity": 1            }          ]        }      ],      "sku": "red adventure mug S02223",      "static_list_ids": [],      "status": "Draft",      "thumbnail": [        "671b5ffcc0c8f0e5fd21b9b9"      ],      "product_type": "SINGLE"    }  ]}